
#ifndef FD_main_panel_h_
#define FD_main_panel_h_

#include <unistd.h>
/* Header file generated with fdesign. */
/* and heavily modified by hand */

/**** Status flags ****/
#define SF_STOP 0x0001 /* stop button pressed */
#define SF_PLAY 0x0002 /* play button pressed */
#define SF_SKIP_PREV 0x0004 /* skip_prev button pressed */
#define SF_REW 0x0004 /* rew button pressed*/
#define SF_FF 0x0008 /* ff button pressed */
#define SF_SKIP_NEXT 0x0010 /*skip_next button pressed */
#define SF_PLAYING 0x0020 /* playing in progress */ 


/**** Callback routines ****/
extern void led_panel_callback(FL_OBJECT *, long);
extern void list_button_callback(FL_OBJECT *, long);
extern void setup_button_callback(FL_OBJECT *, long);
extern void mixer_button_callback(FL_OBJECT *, long);
extern void quit_button_callback(FL_OBJECT *, long);

/**** Handlers ****/
int control_handler(FL_OBJECT * obj, int event, FL_Coord mx, FL_Coord my, 
		    int key, void * xev);
int led_panel_handler(FL_OBJECT * obj, int event, FL_Coord mx, 
		      FL_Coord my, int key, void * xev);
int about_handler(FL_OBJECT * obj, int event, FL_Coord mx, FL_Coord my,
		int key, void * xev);

/**** Forms and Objects ****/

typedef struct {
	FL_FORM *main_panel;
	FL_OBJECT *led_panel;
	FL_OBJECT *control_buttons_group;
	FL_OBJECT *stop_button;
	FL_OBJECT *play_button;
	FL_OBJECT *skip_prev_button;
	FL_OBJECT *rew_button;
	FL_OBJECT *ff_button;
	FL_OBJECT *skip_next_button;
	FL_OBJECT *menu_buttons_group;
	FL_OBJECT *list_button;
	FL_OBJECT *setup_button;
	FL_OBJECT *mixer_button;
	FL_OBJECT *quit_button;
	void *vdata;
	int status;
	int title_pos;
	long ldata;
	FL_OBJECT *led_display[2][21];
	char led_display_buffer[2][21];
} FD_main_panel;

FD_main_panel * panel;
pid_t		mixer_pid;

extern FD_main_panel *create_form_main_panel(void);
char ** char2pixmap(unsigned char c);

#endif				/* FD_main_panel_h_ */
